/*
	NagWorld.h
	Copyright(C) HB Päron Data, SWEDEN
	This file may be used under the terms of the Nabber License.
*/


#ifndef NABBER_H
#define NABBER_H

#ifndef _APPLICATION_H
#include <Application.h>
#endif

class NagApplication : public BApplication 
{
public:
	NagApplication();
	virtual void MessageReceived(BMessage *msg);
	status_t ReadNaggerList();
	status_t ReadSettingsFile();
	//threadstuff
	status_t KillWindow(app_info infApp);
	static status_t MyThread(NagApplication *nagApp);
	bool CheckForExceptions(const char *window_title, BRect frame, const char *vari);
private:
	thread_id fThread;
	NagWindow *aWindow;
};

#endif
