/*
	NagWindow.h
	Copyright(C) HB Päron Data, SWEDEN
	This file may be used under the terms of the Nabber License.
*/


#ifndef NAG_WINDOW_H
#define NAG_WINDOW_H

#ifndef _WINDOW_H
#include <Window.h>
#endif
#include <View.h>
#include <Button.h>
#include <StringView.h>

class NagWindow : public BWindow 
{
public:
					NagWindow(BRect frame, const char *); 
	virtual	bool	QuitRequested();
	void			MessageReceived(BMessage *msg);
private:
	BView *myView;
	BButton *nagButton;
	BStringView *numNags;
};

#endif
